#include "CoreStoreSpecialPackDetailsWidget.h"
#include "ECurrencyType.h"
#include "UObject/SoftObjectPtr.h"
#include "SoftRemoteContentCacheObjectPtr.h"

class UCoreButtonWidget;
class UTexture2D;

void UCoreStoreSpecialPackDetailsWidget::OnShowAnimationFinished_Implementation()
{

}

void UCoreStoreSpecialPackDetailsWidget::OnPremiumButtonClicked()
{

}

void UCoreStoreSpecialPackDetailsWidget::OnHideAnimationFinished_Implementation()
{

}

void UCoreStoreSpecialPackDetailsWidget::OnCustomizationClicked(UCoreButtonWidget* button)
{

}

void UCoreStoreSpecialPackDetailsWidget::OnCurrencyButtonClicked(ECurrencyType currencyType)
{

}

void UCoreStoreSpecialPackDetailsWidget::OnCharacterClicked(UCoreButtonWidget* button)
{

}

void UCoreStoreSpecialPackDetailsWidget::OnArchivePassClicked(UCoreButtonWidget* button)
{

}

void UCoreStoreSpecialPackDetailsWidget::LoadPackImage(const TSoftObjectPtr<UTexture2D>& localPtr, FSoftRemoteContentCacheObjectPtr& remotePtr) const
{

}

UCoreStoreSpecialPackDetailsWidget::UCoreStoreSpecialPackDetailsWidget()
{
	this->_characterItemWidgetClass = NULL;
	this->_characterPoolSize = 2;
	this->_customizationItemWidgetClass = NULL;
	this->_customizationPoolSize = 2;
	this->_numOfColumns = 3;
	this->_itemScale = 1.000000;
	this->_itemsLayoutMask = 0;
}
